Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002310KdenliveMLTpublic2011-09-11 19:312011-11-01 18:56
Reporterfabien26 
Assigned Toj-b-m 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platform64 bitOSUbuntuOS Version11.04
Product VersionRecent git 
Target VersionFixed in Version0.8.2 
Summary0002310: MLT have some problems defining the current locale without the "swh-plugins" package installed.
DescriptionThis bug is the following of my search after finding that the patch correcting this bug " http://www.kdenlive.org/mantis/view.php?id=2304 [^] " doesn't work everywhere.

In fact I tried on a fresh install building MLT and Kdenlive and the bug is always there. I searched what could be so different between those two installation.

And that's the result:

MLT can be built without "swh-plugins" installed. Without it, on a french system "melt colour:red -attach brightness:0,5" show me a black screen. Witch is really weird because my locale should use "," in place of "." (it's working with a . instead of a , !)

After installing "swh-plugins" everything works fine, "melt colour:red -attach brightness:0,5" show me the color ...

The result of this bug is a lot of unexpected and annoying bugs with kdenlive using a "," and mlt using a "." as decimal separator on system without "swh-plugins" installed.
Steps To Reproduce- Use a french locale
- Uninstall "swh-plugins"
- run "melt colour:red -attach brightness:0,5"
- nothing to see
- Install "swh-plugins"
- It's working again !
Additional InformationSo the weird case was not so weird but very common ...
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0007313)
fabien26 (reporter)
2011-09-12 12:28

The bug is reproducible on Ubuntu 10.04 and every other versions. With MLT 0.7.3, 0.7.4 and last git.

swh-plugins is a collection of LADSPA plugins. And you can build MLT with LADSPA support without theses plugins (In debian and ubuntu swh-plugins is not a dependency of mlt and in fact I don't know why it should if you don't want theses LADSPA plugins)
(0007314)
j-b-m (administrator)
2011-09-12 18:30

Thanks, I found the problem and sent a fix proposal on MLT's mailing list.
(0007316)
ttill (developer)
2011-09-14 20:16

Should be fixed in MLT commit 199b31a2ba5fe0abed27e558b052e1bf347127f0.
(0007318)
fabien26 (reporter)
2011-09-14 23:51

It's fixed for me !

- Issue History
Date Modified Username Field Change
2011-09-11 19:31 fabien26 New Issue
2011-09-12 12:28 fabien26 Note Added: 0007313
2011-09-12 18:30 j-b-m Note Added: 0007314
2011-09-12 18:30 j-b-m Assigned To => j-b-m
2011-09-12 18:30 j-b-m Status new => acknowledged
2011-09-14 20:16 ttill Note Added: 0007316
2011-09-14 20:16 ttill Status acknowledged => feedback
2011-09-14 23:51 fabien26 Note Added: 0007318
2011-09-14 23:51 fabien26 Status feedback => assigned
2011-09-15 21:30 j-b-m Status assigned => resolved
2011-09-15 21:30 j-b-m Fixed in Version => 0.8.2
2011-09-15 21:30 j-b-m Resolution open => fixed
2011-11-01 18:56 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker